> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Symbol config

> Get the symbol level configurations.

**Limit: 10 requests per 1 second**\
Get the symbol level configurations.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "symbol": "PERP_BTC_USDT",
                  "marginFactor": "0.00000023",
                  "maxLeverage": 50,
                  "maxPosition": 100000000000
              },
              {
                  "symbol": "PERP_ETH_USDT",
                  "marginFactor": "0.00000023",
                  "maxLeverage": 50,
                  "maxPosition": 100000000000
              },
              {
                  "symbol": "PERP_WOO_USDT",
                  "marginFactor": "0.00000023",
                  "maxLeverage": 20,
                  "maxPosition": 100000000000
              }
          ]
      },
      "timestamp": 1721351502594
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/account/symbolConfig
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/account/symbolConfig:
    get:
      description: Get the symbol level configurations.
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SymbolConfigResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    SymbolConfigResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      symbol:
                        type: string
                        description: Trading pair symbol, e.g., PERP_BTC_USDT.
                      marginFactor:
                        type: string
                        description: >-
                          Margin factor for the trading pair, represented as a
                          string for precision.
                      maxLeverage:
                        type: integer
                        description: Maximum leverage allowed for this trading pair.
                      maxPosition:
                        type: integer
                        description: Maximum position size allowed for this trading pair.
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````